Index: portal2/scripts/vscripts/choreo/glados_coop.nut
===================================================================
--- portal2/scripts/vscripts/choreo/glados_coop.nut	(revision 26)
+++ portal2/scripts/vscripts/choreo/glados_coop.nut	(revision 27)
@@ -87,6 +87,8 @@
 mp_coop_tbeam_polarity3deathblue <-0
 polarity2whisper <- 0
 mp_coop_multifling_1cube <- 0
+summer_sale_cube_died <- false
+
 //ispaused()
 //IsPlayingBack()
 //EstimateLength()
@@ -3336,6 +3338,7 @@
 			break		
 		case "mp_coop_paint_red_racer":
 			GladosPlayVcd(1141)	
+			summer_sale_cube_died = false;
 			break		
 		case "mp_coop_paint_speed_catch":
 			GladosPlayVcd(1175)	
@@ -3578,6 +3581,12 @@
 			break		
 		case "mp_coop_paint_red_racer":
 			GladosPlayVcd(1142)		
+			if ( summer_sale_cube_died == false )
+			{
+				// Award the achievement here
+				RecordAchievementEvent( "ACH.SUMMER_SALE", GetBluePlayerIndex() )
+				RecordAchievementEvent( "ACH.SUMMER_SALE", GetOrangePlayerIndex() )
+			}		
 			break		
 		case "mp_coop_paint_speed_catch":
 			GladosPlayVcd(1262)		
@@ -4406,6 +4415,9 @@
 				break
 		}
 	}
+	if (curMapName=="mp_coop_paint_red_racer") {
+		summer_sale_cube_died = true;
+	}
 }
 
 // Announcer Stuf
Index: portal2/bin/client.dylib
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/server.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/matchmaking.dylib
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/client.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/server.dylib
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: portal2/bin/matchmaking.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/unitlib.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/studiorender.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/shaderapiempty.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vaudio_miles.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/scenefilecache.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vtex_dll.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/bsppack.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/shaderapidx9.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vguimatsurface.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/filesystem_stdio.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/soundemittersystem.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vscript.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vgui2.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/datacache.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/launcher.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/localize.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/serverplugin_empty.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/mdllib.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/bugreporter_filequeue.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/stdshader_dx9.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/engine.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vstdlib.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/vphysics.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/serverbrowser.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/valve_avi.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/adminserver.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/tier0.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/filesystemopendialog.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/soundsystem.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/stdshader_dbg.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/bugreporter_public.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/materialsystem.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/inputsystem.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: bin/texturecompile_dll.dll
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
